### Type parameters

- #### T1

- #### T2

- #### T3

- #### T4

- #### R

### Hierarchy

- RightCurriedFunction4

### Callable

- __call(): RightCurriedFunction4<T1, T2, T3, T4, R>
- __call(t4: T4): RightCurriedFunction3<T1, T2, T3, R>
- __call(t3: T3, t4: __): RightCurriedFunction3<T1, T2, T4, R>
- __call(t3: T3, t4: T4): RightCurriedFunction2<T1, T2, R>
- __call(t2: T2, t3: __, t4: __): RightCurriedFunction3<T1, T3, T4, R>
- __call(t2: T2, t3: T3, t4: __): RightCurriedFunction2<T1, T4, R>
- __call(t2: T2, t3: __, t4: T4): RightCurriedFunction2<T1, T3, R>
- __call(t2: T2, t3: T3, t4: T4): RightCurriedFunction1<T1, R>
- __call(t1: T1, t2: __, t3: __, t4: __): RightCurriedFunction3<T2, T3, T4, R>
- __call(t1: T1, t2: T2, t3: __, t4: __): RightCurriedFunction2<T3, T4, R>
- __call(t1: T1, t2: __, t3: T3, t4: __): RightCurriedFunction2<T2, T4, R>
- __call(t1: T1, t2: __, t3: __, t4: T4): RightCurriedFunction2<T2, T3, R>
- __call(t1: T1, t2: T2, t3: T3, t4: __): RightCurriedFunction1<T4, R>
- __call(t1: T1, t2: T2, t3: __, t4: T4): RightCurriedFunction1<T3, R>
- __call(t1: T1, t2: __, t3: T3, t4: T4): RightCurriedFunction1<T2, R>
- __call(t1: T1, t2: T2, t3: T3, t4: T4): R

- - Defined in node_modules/@types/lodash/common/function.d.ts:366

  #### Returns RightCurriedFunction4<T1, T2, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:367

  #### Parameters

  - ##### t4: T4

  #### Returns RightCurriedFunction3<T1, T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:368

  #### Parameters

  - ##### t3: T3

  - ##### t4: __

  #### Returns RightCurriedFunction3<T1, T2, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:369

  #### Parameters

  - ##### t3: T3

  - ##### t4: T4

  #### Returns RightCurriedFunction2<T1, T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:370

  #### Parameters

  - ##### t2: T2

  - ##### t3: __

  - ##### t4: __

  #### Returns RightCurriedFunction3<T1, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:371

  #### Parameters

  - ##### t2: T2

  - ##### t3: T3

  - ##### t4: __

  #### Returns RightCurriedFunction2<T1, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:372

  #### Parameters

  - ##### t2: T2

  - ##### t3: __

  - ##### t4: T4

  #### Returns RightCurriedFunction2<T1, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:373

  #### Parameters

  - ##### t2: T2

  - ##### t3: T3

  - ##### t4: T4

  #### Returns RightCurriedFunction1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:374

  #### Parameters

  - ##### t1: T1

  - ##### t2: __

  - ##### t3: __

  - ##### t4: __

  #### Returns RightCurriedFunction3<T2, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:375

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  - ##### t3: __

  - ##### t4: __

  #### Returns RightCurriedFunction2<T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:376

  #### Parameters

  - ##### t1: T1

  - ##### t2: __

  - ##### t3: T3

  - ##### t4: __

  #### Returns RightCurriedFunction2<T2, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:377

  #### Parameters

  - ##### t1: T1

  - ##### t2: __

  - ##### t3: __

  - ##### t4: T4

  #### Returns RightCurriedFunction2<T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:378

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  - ##### t3: T3

  - ##### t4: __

  #### Returns RightCurriedFunction1<T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:379

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  - ##### t3: __

  - ##### t4: T4

  #### Returns RightCurriedFunction1<T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:380

  #### Parameters

  - ##### t1: T1

  - ##### t2: __

  - ##### t3: T3

  - ##### t4: T4

  #### Returns RightCurriedFunction1<T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:381

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  - ##### t3: T3

  - ##### t4: T4

  #### Returns R

Generated using TypeDoc